package com.mediamain.sdk_flutter.model

class AmassBean {

    var oaid: String? = null
    var data_from: String? = null
    var time: String? = null
    var imei: String? = null
    var device_id: String? = null
    var api_version: String? = null
    var gps_longitude: String? = null
    var gps_latitude: String? = null
    var os_type: String? = null
    var page_title: String? = null
    var net_type: String? = null

    /**
     * 应用列表
     */
    var app_list: String? = null

//    /**
//     * 活跃应用列表
//     */
//    var app_active_list: List<FoxBaseUsageStatsBean>? = null

    /**
     * sdk版本号
     */
    var sdk_version: String? = null

    /**
     * 手机系统版本号
     */
    var os_version: String? = null

    /**
     * 手机品牌
     */
    var phone_brand: String? = null

    /**
     * 手机机型
     */
    var phone_model: String? = null

    /**
     * 电池电量
     */
    var phone_electric: String? = null

    /**
     * 传感器信息，包括但不局限于蓝牙，陀螺仪，红外设备；
     * 手机所属的运营商
     */
    var sensor_info: List<SensorBean>? = null

    /**
     * 手机所属的运营商
     */
    var net_carrier: String? = null

    /**
     * 文件缓存大小
     */
//    var file_cache: List<FoxBaseFileBean>? = null
    var phone_ip: String? = null
    var dataType: String? = null
    var app_key: String? = null
    var package_name: String? = null
    var data1: String? = null

    /**
     * 当前用户处于wifi网络环境下时，正在使用的wifi名称  如不是wifi环境传:1 采集不到传:-1
     */
    var wifi_name: String? = null

    /**
     * 用户的wifi列表
     */
    var wifi_list: List<WifiInfoBean>? = null

    /**
     * 基站id
     */
    var basestation_id: String? = null

    /**
     * 内存容量
     */
    var rom_capacity: String? = null

    /**
     * 可用内存大小
     */
    var available_rom: String? = null

    /**
     * 是否root
     */
    var is_root: String? = null
    var screen_resolution: String? = null
    var screen_ppi: String? = null
    var cpu_core_number: String? = null
    var cpu_frequency: String? = null
    var imsi: String? = null
    var device_name: String? = null
    var system_rom_name: String? = null
    var system_user_name: String? = null
    var net_subtype: String? = null
    var wifi_mac: String? = null
    var system_language: String? = null
    var net_up_flow: String? = null
    var net_down_flow: String? = null
    var app_version_name: String? = null
    var app_version_code: String? = null
    var app_path: String? = null
    var app_name: String? = null
    var android_id: String? = null

    //双卡数据
    var num_cardslot //卡槽数量
            : String? = null
    var num_cardsim //已经安装了几张卡
            : String? = null
    var imei2 //副imei
            : String? = null

    //是否是模拟或者安装了Xposed
    var is_emulator: String? = null

    //用户授权状态
    var is_empower: String? = null
    var tcid: String? = null
    //开发方式
    var develop_type: String? = null

//    fun getSensor_info(): List<FoxBaseSensorBean>? {
//        return sensor_info
//    }
//
//    fun setSensor_info(sensor_info: List<FoxBaseSensorBean>?) {
//        this.sensor_info = sensor_info
//    }

}