package com.mediamain.sdk_flutter.model

class WifiInfoBean(
        /**
         * The network name.
         */
        var sSID: String,
        /**
         * The address of the access point.
         */
        var bSSID: String,
        /**
         * Describes the authentication, key management, and encryption schemes
         * supported by the access point.
         */
        var capabilities: String,
        /**
         * The detected signal level in dBm, also known as the RSSI.
         *
         *
         * Use [android.net.wifi.WifiManager.calculateSignalLevel] to convert this number into
         * an absolute signal level which can be displayed to a user.
         */
        var level: Int) 