package com.mediamain.sdk_flutter.util

import android.Manifest
import android.app.Activity
import android.content.pm.PackageManager
import android.os.Build
import androidx.core.app.ActivityCompat
import androidx.core.content.ContextCompat

class PermissionUtils {

    companion object{
        const val REQUEST_CODE : Int = 1001

        fun requestPermissions(activity: Activity, requestCode : Int){
//            ActivityCompat.requestPermissions(activity, arrayOf(Manifest.permission.READ_PHONE_STATE,
//                    Manifest.permission.ACCESS_FINE_LOCATION,Manifest.permission.ACCESS_COARSE_LOCATION,
//                    Manifest.permission.ACCESS_WIFI_STATE
//                    ), REQUEST_CODE)
        }

        fun isGranted(permission: String?): Boolean {
            return Build.VERSION.SDK_INT < Build.VERSION_CODES.M ||
                    PackageManager.PERMISSION_GRANTED == CommonUtils.getApplication()?.let { ContextCompat.checkSelfPermission(it, permission!!) }
        }
    }
}