package com.mediamain.sdk_flutter.util.cons

enum class DeviceTypeEnum(val code: Int, val desc: String) {
    /**
     * 1010用于替换自动生成的uuid
     * 不能是imei这种字符，32位MD5只包含了0~9和a~f
     */
    IMEI(1, "1010"),
    IDFA(2, "1020"),
    OAID(3, "1011"),  // 合法的deviceId是md5小写32位的
    DEVICE_ID(4, "1030"),
    UUID(5, "1040"),
    THIRD_USER(7, "1050"),
    THIRD_DEVICE(8, "1051"),
    UNKNOWN(6, "1090");

}