import 'package:flutter/material.dart';
import 'package:sdk_flutter/global/TFConfig.dart';
import 'package:sdk_flutter_example/router/Routers.dart';

import 'NavPage.dart';

class Demo extends StatelessWidget{
  @override
  Widget build(BuildContext context) {
    //初始化
    // TFConfig.init("427wTcUcwxkttDmGcqYMTU7NJo3k", "3Wfp5DiA5jqVaUZ8CMkJemWopxefsBxtwm6mk67");
    TFConfig.init("4UycwwZv41rwzne1ZXgtQBgDSnPH", "3WpyTLfifQyGhvgivxtUjvzXxtkzdceETBU2n5g");
    Map<String,WidgetBuilder> routersMap =  Routers.adRouter;
    routersMap.addAll(Routers.testRouter);
    return MaterialApp(
        title: 'Flutter Learn',
        theme: ThemeData(
          primarySwatch: Colors.green
        ),
        home: NavPage(),
        routes: routersMap,
    );
  }
}
