//
//  NSDate+TATFormatter.h
//  TATMediaSDK
//
//  Created by wuleslie on 2019/12/5.
//  Copyright © 2019 wuleslie. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface NSDate (TATFormatter)

/**
 * yyyy-MM-dd HH:mm:ss"
 */
- (NSString *)tat_yyyyMMddHHmmss;

/**
 * 返回当前时间的时间戳，单位毫秒
 */
+ (long long)tat_currentTimestamp;

@end

NS_ASSUME_NONNULL_END
