//
//  NSString+TATBase.m
//  TATMediaSDK
//
//  Created by wuleslie on 2019/12/11.
//  Copyright © 2019 wuleslie. All rights reserved.
//

#import "NSString+TATBase.h"

@implementation NSString (TATBase)

- (BOOL)tat_isNotEmpty {
    if ([self isKindOfClass:[NSNull class]]) {
        return NO;
    } else if ([self isKindOfClass:[NSString class]]) {
        NSCharacterSet *charSet = [NSCharacterSet whitespaceAndNewlineCharacterSet];
        NSString *trimmed = [(NSString *)self stringByTrimmingCharactersInSet:charSet];
        return ![trimmed isEqualToString:@""];
    }
    return NO;
}

@end
