//
//  TATStorageHelper.h
//  TATMediaSDK
//
//  Created by wuleslie on 2020/6/3.
//  Copyright © 2020 wuleslie. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TATStorageHelper : NSObject

+ (id)valueForKey:(NSString *)key;

+ (void)setObject:(id)object forKey:(NSString *)key;

+ (NSInteger)exposureTimesForSlotId:(NSString *)slotId;

+ (void)exposeSlotId:(NSString *)slotId;

+ (NSString *)tcid;

+ (void)cacheTcid:(NSString *)tcid;

+ (NSString *)idfa_original;

@end

NS_ASSUME_NONNULL_END
