package com.mediamain.sdk_flutter.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.mediamain.sdk_flutter.util.CommonUtils;
import com.mediamain.sdk_flutter.util.DownloadUtils;

import java.io.File;

/**
 * <p> File description: <p>
 * <p> Creator: Adroll   <p>
 * <p> Created date: 12/2/20 <p>
 * * * * * * * * * * * * * * * * * * * * * *
 * Thinking is more important than coding *
 * * * * * * * * * * * * * * * * * * * * * *
 */
public class NotificationBroadCast extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        String path = intent.getStringExtra("apkPath");
        String packageName = intent.getStringExtra("packageName");
        String tuiaId = intent.getStringExtra("tuiaId");
        int progress = intent.getIntExtra("progress", 0);
        // 下载未安装
        if (progress == 100){
            DownloadUtils.getInstance().openFile(CommonUtils.Companion.getApplication(), new File(path));
        }
        // 已安装
        else if (progress > 100){
            DownloadUtils.getInstance().openApp(packageName);
        }
    }
}
