import 'package:flutter/material.dart';
import 'package:sdk_flutter/plugin/imei_plugin.dart';
import 'package:sdk_flutter/sdk_flutter.dart';

class DataPage extends StatefulWidget {
  @override
  _DataPageState createState() => _DataPageState();
}

class _DataPageState extends State<DataPage> {
  var data  = "";

  @override
  void initState() {
    // data = "";
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("数据页面"),
      ),
      body: Column(
        children: [
          Text(data),
          InkWell(
            child: Text("获取版本号"),
            onTap: (){_getImei();},
          )
        ],
      ),
    );
  }


  _getImei() async {

    String version = await SdkFlutter.platformVersion;
    String imeia = await ImeiPlugin.imei;
    // String oaid = await SdkFlutter.getOaid;
    // MSAData msaData = await SdkFlutter.getMsaIdConfigs();
    setState(() {
      // data += version;
      data += "imei = $imeia \r\n";
      // data += "oaid = $oaid \r\n";
      print(data);
    });
  }
}

