import 'package:flutter/material.dart';
import 'package:sdk_flutter/ad/chrome_safari_browser_example.screen.dart';
import 'package:sdk_flutter/ad/headless_in_app_webview.screen.dart';
import 'package:sdk_flutter/ad/in_app_browser_example.screen.dart';
import 'package:sdk_flutter/ad/in_app_webiew_example.screen.dart';
import 'package:sdk_flutter_example/adpage/BannerPage.dart';
import 'package:sdk_flutter_example/adpage/BugPage.dart';
import 'package:sdk_flutter_example/adpage/CustomPage.dart';
import 'package:sdk_flutter_example/adpage/DataPage.dart';
import 'package:sdk_flutter_example/adpage/DownloadPage.dart';
import 'package:sdk_flutter_example/adpage/IconPage.dart';
import 'package:sdk_flutter_example/adpage/InfoStreamPage.dart';
import 'package:sdk_flutter_example/adpage/PopupPage.dart';
import 'package:sdk_flutter_example/adpage/ProxySettingPage.dart';
import 'package:sdk_flutter_example/adpage/SplashPage.dart';

class Routers{

  static Map<String,WidgetBuilder> adRouter = {
    "Icon类型":(context)=> IconPage(),
    "开屏类型":(context)=> SplashPage(),
    "Banner类型":(context)=> BannerPage(),
    "弹窗类型":(context)=> PopupPage(),
    "信息流类型":(context)=> InfoStreamPage(),
    "自定义类型":(context)=> CustomPage(),
    "拓展类型":(context)=> IconPage(),
    "数据":(context)=> DataPage(),
    "下载":(context)=> DownloadPage(),

    'InAppWebView': (context) => InAppWebViewExampleScreen(),
    'InAppBrowser': (context) => InAppBrowserExampleScreen(),
    'ChromeSafariBrowser': (context) => ChromeSafariBrowserExampleScreen(),
    'HeadlessInAppWebView': (context) => HeadlessInAppWebViewExampleScreen()
  };
  static Map<String,WidgetBuilder> testRouter = {
    "Bug测试":(context)=> BugPage(),
    "代理设置":(context)=> ProxySettingPage(),
  };

}