//
//  TATLocationManager.h
//  TATMediaSDK
//
//  Created by wuleslie on 2019/12/18.
//  Copyright © 2019 wuleslie. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

typedef void(^TATLocationSuccess) (CLLocationDegrees latitude, CLLocationDegrees longitude);
typedef void(^TATLocationFailure) (NSError * _Nullable error);

NS_ASSUME_NONNULL_BEGIN

@interface TATLocationManager : NSObject

+ (void)getLocationWithSuccess:(TATLocationSuccess)success failure:(TATLocationFailure)failure;

+ (void)stop;

@end

NS_ASSUME_NONNULL_END
