import 'package:flutter/material.dart';
import 'package:sdk_flutter/global/CrashReport.dart';
import 'package:sdk_flutter/global/cons/CommonData.dart';
import 'package:shared_preferences/shared_preferences.dart';

class CrashUtils{

  static bool _isOFF = false;

  static void setOFF(bool isOFF){
    _isOFF = isOFF;
  }

  static void crashReport(dynamic e,{bool isReport = true}) async{
    if(!_isOFF) {
      if(!isReport) return;
    }
    Future<SharedPreferences> _prefs = SharedPreferences.getInstance();
    final SharedPreferences prefs = await _prefs;

    int reportSwitch = prefs.getInt(CommonData.KEY_TUIA_SDK_ERROR_REPORT_SWITCH);
    debugPrint("Crash上报开关 ${reportSwitch}");
    //  开关状态 1:上报 0；不上报
    if (reportSwitch <= 0){
      return;
    }

    CrashReport.instance.crashReport(e.toString(),"2","4");
  }

}